<%@ Page Language="C#" MasterPageFile="~/Admin/Admin.master" CodeFile="Register.aspx.cs"
    Inherits="Admin_Shipping_Providers_FedExWS_Default" Title="FedEx&reg; Registration" %>

<asp:Content ID="Content3" ContentPlaceHolderID="MainContent" runat="Server">
    <div class="pageHeader">
    	<div class="caption">
    		<h1><asp:Label ID="Caption" runat="server" Text="FedEx&reg; Registration"></asp:Label></h1>
    	</div>
    </div>
    <table cellpadding="2" cellspacing="0" class="innerLayout">
        <tr>
            <td valign="top">
                <img src="LOGO_S.gif" align="Left" hspace="20" vspace="20" alt="shield" />
            </td>
            <td>
                <asp:Localize ID="InstructionText" runat="server">
                    <p align="justify">With FedEx&reg;, customers can get real-time shipping 
                    rates based on their shipping addresses and order weights. Customers can 
                    also view FedEx tracking information for their packages right from the 
                    order detail screen.</p>

                    In order to enable FedEx services with AbleCommerce, complete the following steps:<br /><br />
                    <b>Step 1.</b> Register with FedEx online using one of the links below.  You must register for an account option that includes a FedEx meter number.  This means you cannot use the user ID only option.  If you are already registered for FedEx online and have a meter number, skip to step 2.<br /><br />
                    US customers visit: <a href="http://www.fedex.com/us/oadr/" target="_blank">http://www.fedex.com/us/oadr/</a><br />
                    Outside the US, start at <a href="http://www.fedex.com/" target="_blank">http://www.fedex.com/</a>, choose your country, then navigate to new user registration.<br /><br />
                    <b>Step 2.</b> Visit the FedEx Developer Resource Center and log in with your FedEx online user id:<br /><br />
                    All customers visit: <a href="http://fedex.com/us/developer/" target="_blank">http://fedex.com/us/developer/</a><br /><br />
                    If prompted, read and accept the license agreement for the developer resource center.<br /><br />
                    <b>Step 3.</b> Obtain Test Credentials to Verify Communication with FedEx<br /><br />
                    Once at the developer center home screen, from the left menu navigate to:
                    <blockquote>Technical Resources > FedEx Web Services for Shipping > Develop & Test Your Application</blockquote>
                    From the screen that displays click obtain developer test key. Then complete the form and accept the agreement.  Following this step you will be shown a registration confirmation screen giving the account and meter numbers required below.  FedEx will send your test password in a separate confirmation email.<br /><br />
                </asp:Localize>
                <table class="inputForm">
                    <tr>
                        <th class="rowHeader" nowrap>
                            Developer Test Key:
                        </th>
                        <td>
                            <asp:TextBox ID="Key" runat="server" Width="200px"></asp:TextBox>
                            <asp:RequiredFieldValidator ID="KeyRequired" runat="server" ControlToValidate="Key" Text="required" Display="Dynamic"></asp:RequiredFieldValidator> (from FedEx confirmation screen)
                        </td>
                    </tr>
                    <tr>
                        <th class="rowHeader" nowrap>
                            Test Password:
                        </th>
                        <td>
                            <asp:TextBox ID="Password" runat="server" Width="200px"></asp:TextBox>
                            <asp:RequiredFieldValidator ID="PasswordRequired" runat="server" ControlToValidate="Password" Text="required" Display="Dynamic"></asp:RequiredFieldValidator> (from FedEx confirmation email)
                        </td>
                    </tr>
                    <tr>
                        <th class="rowHeader" nowrap>
                            Test Account Number:
                        </th>
                        <td>
                            <asp:TextBox ID="AccountNumber" runat="server" Width="100px"></asp:TextBox>
                            <asp:RequiredFieldValidator ID="AccountNumberRequired" runat="server" ControlToValidate="AccountNumber" Text="required" Display="Dynamic"></asp:RequiredFieldValidator>
                        </td>
                    </tr>
                    <tr>
                        <th class="rowHeader" nowrap>
                            Test Meter Number:
                        </th>
                        <td>
                            <asp:TextBox ID="MeterNumber" runat="server" Width="100px"></asp:TextBox>
                            <asp:RequiredFieldValidator ID="MeterNumberRequired" runat="server" ControlToValidate="MeterNumber" Text="required" Display="Dynamic"></asp:RequiredFieldValidator>
                        </td>
                    </tr>
                    <tr>
                        <td>&nbsp;</td>
                        <td>
                            <asp:Button ID="NextButton" runat="server" Text="Configure" OnClick="NextButton_Click" />
                            <asp:Button ID="CancelButton" runat="server" Text="Cancel" OnClick="CancelButton_Click" CausesValidation="false" />
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
        <tr>
            <td colspan="2" align="center">
                <br /><br />
                <asp:Label ID="FedExCopyRight" runat="server" Text="FedEx and the FedEx brandmark are registered trademarks of FedEx Inc. All Rights Reserved." SkinID="Copyright"></asp:Label>
            </td>
        </tr>
    </table>
</asp:Content>
