<%@ Page Language="C#" MasterPageFile="~/Admin/Admin.master" CodeFile="Maintenance.aspx.cs" Inherits="Admin_Store_Maintenance" Title="Maintenance Settings" %>
<%@ Register Assembly="CommerceBuilder.Web" Namespace="CommerceBuilder.Web.UI.WebControls" TagPrefix="cb" %>
<asp:Content ID="MainContent" ContentPlaceHolderID="MainContent" Runat="Server">
    <ajax:UpdatePanel ID="PageAjax" runat="server">
        <ContentTemplate>
            <div class="pageHeader">
                <div class="caption">
                    <h1><asp:Localize ID="Caption" runat="server" Text="Configure Store"></asp:Localize></h1>
                </div>
            </div>
            <table cellpadding="2" cellspacing="2" class="innerLayout">
		        <tr>
		            <td colspan="2">
                        <asp:Button Id="SaveButon" runat="server" Text="Save" OnClick="SaveButton_Click" CssClass="button" />
                        <asp:Button Id="SaveAndCloseButton" runat="server" Text="Save and Close" OnClick="SaveAndCloseButton_Click" CssClass="button" />
				        <asp:Button Id="CancelButton" runat="server" Text="Cancel" OnClick="CancelButton_Click" CssClass="button" CausesValidation="false" />
		                <asp:ValidationSummary ID="ValidationSummary2" runat="server" />                
		                <asp:Label ID="SavedMessage" runat="server" Text="The store settings have been saved." Visible="false" SkinID="GoodCondition"></asp:Label>
		            </td>
		        </tr>
		        <tr>
			        <td align="left" valign="top" width="50%">
			            <div class="section" style="padding:0 0 2px 0;">
                            <div class="header">
                                <h2 class="AnonymousUserMaintenance"><asp:Localize ID="UserMaintenanceCaption" runat="server" Text="Anonymous User Maintenance"></asp:Localize></h2>
                            </div>
                            <div class="content">
                                <asp:Panel ID="phAnonymousLifespanWarning" runat="server" Visible="false">
                                    <asp:Label ID="AnonymousLifespanWarning" runat="server" Text="<i><font color=red>WARNING:</font> You do not have any value configured for the number of days to save anonymous users.  Over time this will lead to a very large user database and reduce performance.  It is recommended that anonymous users are retained no longer than needed for reporting purposes.  The suggested value for these fields is 30 days.</i>"></asp:Label>
                                    <br /><br />
                                </asp:Panel>
                                <asp:Label ID="AnonymousLifespanLabel1" runat="server" Text="For how many days should anonymous users (and their abandoned baskets) be retained in the database? Reports on abandoned baskets are only valid when these records are available for the reporting period."></asp:Label><br /><br />
                                <asp:Label ID="AnonymousLifespanLabel2" runat="Server" SkinID="FieldHeader" Text="Days to Save: "></asp:Label>
                                <asp:TextBox ID="AnonymousLifespan" runat="server" Width="60px" MaxLength="4"></asp:TextBox>
                                <asp:RequiredFieldValidator ID="AnonymousLifespanRequired" runat="server" ControlToValidate="AnonymousLifespan" ErrorMessage="Days to save anonymous users must be a numeric value between 1 and 9999." Text="*"></asp:RequiredFieldValidator>
                                <asp:RangeValidator ID="AnonymousLifespanValidator" runat="server" Type="Integer" MinimumValue="1" MaximumValue="365" ControlToValidate="AnonymousLifespan" ErrorMessage="Days to save anonymous users must be a numeric value between 1 and 9999." Text="*"></asp:RangeValidator><br/><br />
                                <asp:Label ID="AnonymousAffiliateLifespanLabel1" runat="server" Text="How long should anonymous users be retained when they have an affiliate association?  Reports on user referrals and conversion rates are only valid when these records are available for the reporting period."></asp:Label><br /><br />
                                <asp:Label ID="AnonymousAffiliateLifespanLabel2" runat="Server" SkinID="FieldHeader" Text="Days to Save: "></asp:Label>
                                <asp:TextBox ID="AnonymousAffiliateLifespan" runat="server" Width="60px" MaxLength="4"></asp:TextBox>
                                <asp:RequiredFieldValidator ID="AnonymousAffiliateLifespanRequired" runat="server" ControlToValidate="AnonymousAffiliateLifespan" ErrorMessage="Days to save anonymous affiliate users must be a numeric value between 1 and 9999." Text="*"></asp:RequiredFieldValidator> 
                                <asp:RangeValidator ID="AnonymousAffiliateLifespanValidator" runat="server" Type="Integer" MinimumValue="1" MaximumValue="9999" ControlToValidate="AnonymousAffiliateLifespan" ErrorMessage="Days to save anonymous affiliate users must be a numeric value between 1 and 9999." Text="*"></asp:RangeValidator>
                                <br /><br />
                                <div class="sectionHeader">
                                    Current Anonymous User Status
                                </div><br />

                                <asp:UpdatePanel ID="AnonymousUsersPanel" runat="server" UpdateMode="Conditional">
                                <ContentTemplate>
                                    <asp:Panel ID="InstructionsPanel" runat="server">
                                        <asp:Localize ID="AnonymousUserDelayWarning" runat="server">
                                        To view the current status of the anonymous user table please click the Check Database button below. This may cause a slight delay if you have a large user table.
                                        </asp:Localize><br /><br />
                                        <asp:Button ID="CheckDatabaseButton" runat="server" Text="Check Database" OnClick="CheckDatabaseButton_Click" CausesValidation="false" />
                                    </asp:Panel>                                    
                                    <asp:Panel ID="AnonymousUsersDataPanel" runat="server" Visible="false">
                                        <asp:Label ID="AnonymousUserCountLabel" runat="server" Text="Anonymous User Count:" SkinID="FieldHeader" EnableViewState="false"></asp:Label>
                                        <asp:Literal ID="AnonymousUserCount" runat="server"></asp:Literal><br />
                                        <asp:Label ID="OldestAnonUserLabel" runat="server" Text="Oldest Record:" SkinID="FieldHeader" EnableViewState="false"></asp:Label>
                                        <asp:Literal ID="OldestAnonUser" runat="server" Text="n/a"></asp:Literal><br /><br />
                                        <asp:Label ID="AffiliateAnonymousUserCountLabel" runat="server" Text="Affiliate Anonymous User Count:" SkinID="FieldHeader" EnableViewState="false"></asp:Label>
                                        <asp:Literal ID="AffiliateAnonymousUserCount" runat="server"></asp:Literal><br />
                                        <asp:Label ID="OldestAffAnonUserLabel" runat="server" Text="Oldest Record:" SkinID="FieldHeader" EnableViewState="false"></asp:Label>
                                        <asp:Literal ID="OldestAffAnonUser" runat="server" Text="n/a"></asp:Literal><br />
                                    </asp:Panel>
                                    <br />
                                </ContentTemplate>                                    
                                </asp:UpdatePanel>
                                <asp:Localize ID="ManualCleanupHelpText" runat="server">
                                    You may trigger user maintenance manually using the form below.  This is a good idea if you are turning on user maintenance for the first time or reducing the number of days to save these records.  If you expect to delete a lot of records, trigger this process at an off-peak time as it could be resource intensive for the database server.
                                </asp:Localize><br /><br />
                                <asp:Label ID="ManualCleanupDaysLabel1" runat="server" Text="Delete anonymous users older than " EnableViewState="false"></asp:Label>
                                <asp:TextBox ID="ManualCleanupDays1" runat="server" Width="40px" MaxLength="4"></asp:TextBox> days.
                                <asp:RequiredFieldValidator ID="ManualCleanupDays1Required" runat="server" ControlToValidate="ManualCleanupDays1" Text="number required" ValidationGroup="ManualCleanup" Display="Dynamic"></asp:RequiredFieldValidator>
                                <asp:RangeValidator ID="ManualCleanupDays1Format" runat="server" Type="Integer" MinimumValue="0" MaximumValue="9999" ControlToValidate="ManualCleanupDays1" Text="number required" ValidationGroup="ManualCleanup" Display="Dynamic"></asp:RangeValidator><br/>
                                <asp:Label ID="ManualCleanupDaysLabel2" runat="server" Text="Delete affiliated anonymous users older than " EnableViewState="false"></asp:Label>
                                <asp:TextBox ID="ManualCleanupDays2" runat="server" Width="40px" MaxLength="4"></asp:TextBox> days.
                                <asp:RangeValidator ID="ManualCleanupDays2Format" runat="server" Type="Integer" MinimumValue="0" MaximumValue="9999" ControlToValidate="ManualCleanupDays2" Text="number required" ValidationGroup="ManualCleanup" Display="Dynamic"></asp:RangeValidator><br/>
                                <asp:Button ID="ManualCleanupButton" runat="server" Text="Delete Anonymous Users" ValidationGroup="ManualCleanup" onclick="ManualCleanupButton_Click" />
                            </div>                    
                        </div>                
                    </td>
                    <td valign="top" width="50%">                 
                        <div class="section" style="padding:0 0 2px 0;">
                            <div class="header">
                                <h2 class="commonicon"><asp:Localize ID="StoreMaintenanceCaption" runat="server" Text="Store Maintenance"></asp:Localize></h2>
                            </div>
                            <div class="content">                        
                                <table class="inputForm">
                                    <tr>
                                        <th class="rowHeader" valign="top" style="white-space:nowrap">
                                            <cb:ToolTipLabel ID="IsStoreClosedLabel" runat="Server" Text="Store Status:" AssociatedControlID="StoreClosedOptions" ToolTip="Use this setting to temporarily close the store front for your maintenance or testing purposes. This setting has no impact on the availability of the admin pages."></cb:ToolTipLabel>
                                        </th>
                                        <td>                                    
                                            <asp:DropDownList ID="StoreClosedOptions" runat="server">
                                            </asp:DropDownList>
                                        </td>
                                    </tr> 
                                    <tr>
                                        <th class="rowHeader" valign="top" style="white-space:nowrap">
                                            <cb:ToolTipLabel ID="StoreClosedMessageLabel" runat="server" Text="Closed Message:" ToolTip="If the storefront is temporarily closed, this message will be displayed to customers instead."></cb:ToolTipLabel><br />
                                            <asp:RequiredFieldValidator ID="StoreClosedMessageRequired" runat="server" Text="*" ErrorMessage="Store close message is required." ControlToValidate="StoreClosedMessage"></asp:RequiredFieldValidator>
                                        </th>
                                        <td>
                                            <asp:TextBox ID="StoreClosedMessage" runat="server" Rows="7" TextMode="MultiLine" Width="260px"  Columns="50"></asp:TextBox>                                                
                                        </td>
                                    </tr> 
                                    <tr id="trRebuildIndex" runat="server" visible="false">
                                        <th class="rowHeader" valign="top" style="white-space:nowrap">
                                            <cb:ToolTipLabel ID="FullTextIndexLabel" runat="server" Text="Full Text Index:" ToolTip="The full text index is used to make catalog searches faster and more relevant."></cb:ToolTipLabel>
                                        </th>
                                        <td>
                                            <asp:Localize ID="FullTextIndexHelpText" runat="server">
                                            If your product searches are not returning expected results or if results do not seem to be properly sorting according to relevance, the search index may need to be rebuilt.  This process can be time consuming if you have a large product catalog, so this should be done at an off-peak time.<br /><br />
                                            </asp:Localize>
                                            <asp:Button ID="RebuildIndexButton" runat="server" Text="Rebuild Index" OnClick="RebuildIndexButton_Click" />
                                            <asp:Label ID="RebuildIndexMessage" runat="server" Text="Index rebuild initiated." SkinID="GoodCondition" Visible="False" EnableViewState="false"></asp:Label>
                                        </td>
                                    </tr> 
                                </table>                                                    
                            </div>
                        </div>
			            <div class="section" style="padding:0 0 2px 0;">
                            <div class="header">
                                <h2 class="giftcertificateexpiry"><asp:Localize ID="GiftCertificateExpiryLabel" runat="server" Text="Gift Certificate Expiry"></asp:Localize></h2>
                            </div>
                            <div class="content">
                                <asp:Label ID="GiftCertExpireDaysLbl1" runat="server" Text="How many days should it take before before a gift certificate expires - 0 means no expiration. (Expiration setting affects new gift certificates only)."></asp:Label><br /><br />
                                <asp:Label ID="GiftCertExpireDaysLbl2" runat="Server" SkinID="FieldHeader" Text="Days to Gift Certificate Expiry: "></asp:Label>
                                <asp:TextBox ID="GiftCertExpireDays" runat="server" Width="60px" MaxLength="4"></asp:TextBox>
                                <asp:RangeValidator ID="GiftCertExpireDaysValidator" runat="server" Type="Integer" MinimumValue="0" MaximumValue="99999" ControlToValidate="GiftCertExpireDays" ErrorMessage="Gift Certificate expiry days must be a numeric value." Text="*"></asp:RangeValidator>
                            </div>
                        </div>
                    </td>
                </tr>
            </table>
        </ContentTemplate>
    </ajax:UpdatePanel>
</asp:Content>