﻿<%@ Page Language="C#" %>
<%@ Import Namespace="CommerceBuilder.Data" %>
<%@ Import Namespace="System.Data.Common" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<script runat="server">
    protected void FixButton_Click(object sender, EventArgs e)
    {
        Database database = Token.Instance.Database;
        if (database.AbleCommerceSchemaVersion == "2000")
        {
            string sql = @"IF EXISTS (SELECT * FROM INFORMATION_SCHEMA.TABLE_CONSTRAINTS WHERE TABLE_NAME = 'ac_Orders'
AND CONSTRAINT_NAME = 'ac_Users_ac_Orders_FK1')
BEGIN
    ALTER TABLE ac_Orders
    DROP CONSTRAINT ac_Users_ac_Orders_FK1
END;

alter table ""ac_Orders""
with nocheck
add constraint ""ac_Users_ac_Orders_FK1"" foreign key (""UserId"")
references ""ac_Users"" (""UserId"") on update no action;

IF EXISTS (SELECT name FROM sysobjects WHERE name = 'ac_Usersdelete' AND type = 'TR')
    DROP TRIGGER ac_Usersdelete;";
            DbCommand command = Token.Instance.Database.GetSqlStringCommand(sql);
            database.ExecuteNonQuery(command);
            
            // CREATE TRIGGER MUST BE FIRST STATEMENT OF BATCH
            sql = @"Create trigger ""ac_Usersdelete"" on ""ac_Users""
for delete
as
BEGIN
    declare
    @errorNumber int,
    @errorMsg varchar(255)

    /* Clause for ON DELETE to referenced table SET NULL */
    update ""ac_AuditEvents""
    set ""ac_AuditEvents"".""UserId"" = NULL
    from deleted,""ac_AuditEvents""
    where ""ac_AuditEvents"".""UserId"" = deleted.""UserId""

    /* Clause for ON DELETE to referenced table SET NULL */
    update ""ac_OrderNotes""
    set ""ac_OrderNotes"".""UserId"" = NULL
    from deleted,""ac_OrderNotes""
    where ""ac_OrderNotes"".""UserId"" = deleted.""UserId""

    /* Clause for ON DELETE to referenced table SET NULL */
    update ""ac_Orders""
    set ""ac_Orders"".""UserId"" = NULL
    from deleted,""ac_Orders""
    where ""ac_Orders"".""UserId"" = deleted.""UserId""

    return
    errorHandler:
    raiserror @errorNumber @errorMsg
    rollback transaction
END;";
            command = database.GetSqlStringCommand(sql);
            database.ExecuteNonQuery(command);
        }
        else
        {
            // 2005 OR HIGHER SCHEMA
            string sql = @"IF EXISTS (SELECT * FROM INFORMATION_SCHEMA.TABLE_CONSTRAINTS WHERE TABLE_NAME = 'ac_Orders'
AND CONSTRAINT_NAME = 'ac_Users_ac_Orders_FK1')
BEGIN
    ALTER TABLE ac_Orders
    DROP CONSTRAINT ac_Users_ac_Orders_FK1
END;

ALTER TABLE ac_Orders ADD CONSTRAINT ac_Users_ac_Orders_FK1
FOREIGN KEY (UserId) REFERENCES ac_Users (UserId)
ON UPDATE NO ACTION ON DELETE SET NULL";
            DbCommand command = database.GetSqlStringCommand(sql);
            database.ExecuteNonQuery(command);
        }

        // RUN THE COMMAND
        FixPanel.Visible = false;
        ResultPanel.Visible = true;
        AdminLink.NavigateUrl = NavigationHelper.GetAdminUrl("Default.aspx");
    }
</script>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Fix User Constraints</title>
    <style>
        p { font-size: 12px; margin:12px 0; }
        .sectionHeader { background-color: #EFEFEF; padding:3px; margin:12px 0px; }
        h2 { font-size: 14px; font-weight: bold; margin: 0px; }
        .error { font-weight:bold; color:red; }
        div.radio { margin:2px 0px 6px 0px; }
        div.radio label { font-weight:bold; padding-top: 6px; position:relative; top:1px; }
        .inputBox { padding:6px;margin: 4px 40px;border:solid 1px #CCCCCC; }
        div.submit { background-color: #EFEFEF; padding:4px; margin:12px 0px; text-align:center; }
        a.admin:link { color:black; text-decoration:underline; }
        a.admin:visited { color:black; text-decoration:underline; }
        a.admin:hover { color:blue; text-decoration:underline; }
        a.admin:active { color:black; text-decoration:underline; }
    </style>
</head>
<body style="width:780px;margin:auto">
    <form id="form1" runat="server">
    <h1>Fix User Contstraints</h1>
    <asp:Panel ID="FixPanel" runat="server">
        This script can update the user constraints in your database.  You may need to do this if you have messages in your error log similar to:<br /><br />
        DELETE statement conflicted with COLUMN REFERENCE constraint 'ac_Users_ac_Orders_FK1'.<br /><br />
        When you click the button below, we will drop the existing constraint and recreate a new one with the correct values.  This should eliminate this error message from your logs.<br /><br />
        <asp:Button ID="FixButton" runat="server" Text="Fix Constraints" onclick="FixButton_Click" />
    </asp:Panel>
    <asp:Panel ID="ResultPanel" runat="server" Visible="false">
        The constraint has been updated in your database!<br /><br />If you continue to receive the errors in your log, please contact support for further assistance.<br /><br />
        <asp:HyperLink ID="AdminLink" runat="server" Text="Return to Admin" NavigateUrl="" CssClass="admin"></asp:HyperLink>
    </asp:Panel>
    </form>
</body>
</html>
